Index: /LMDZ4/trunk/libf/phylmd/ini_histmth.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 644)
@@ -429,49 +462,142 @@
          CALL histdef(nid_mth, "cape", "Conv avlbl pot ener", "J/kg",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "pbase", "Cld base pressure", "hPa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "ptop", "Cld top pressure", "hPa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "pbase", "Cld base pressure", "mb",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "ptop", "Cld top pressure", "mb",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "fbase", "Cld base mass flux", "kg/m2/s",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "prw", "Precipitable water", "kg/m2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
 c
       ENDIF !iflag_con .GE. 3
-c
-         CALL histdef(nid_mth, "prw", "Precipitable water", "kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
 c34EK
+cIM cf. AM 081204 BEG
+c34EK
+c HBTM2
+         CALL histdef(nid_mth, "s_pblh", "Boundary Layer Height", "m",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+         CALL histdef(nid_mth, "s_pblt", "t at Boundary Layer Height",
+     .                "K",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+         CALL histdef(nid_mth, "s_lcl", "Condensation level", "m",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+         CALL histdef(nid_mth, "s_capCL", "Conv avlbl pot ener 
+     .                for ABL", "J/m2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+         CALL histdef(nid_mth, "s_oliqCL", "Liq Water in BL", "kg/m2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+         CALL histdef(nid_mth, "s_cteiCL", "Instability criteria 
+     .                (ABL)", "K",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+         CALL histdef(nid_mth, "s_therm", "Exces du thermique", "K",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+         CALL histdef(nid_mth, "s_trmb1", "deep_cape(HBTM2)", "J/m2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+         CALL histdef(nid_mth, "s_trmb2", "inhibition (HBTM2)", "J/m2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+         CALL histdef(nid_mth, "s_trmb3", "Point Omega (HBTM2)", "m",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
+c
+cIM cf. AM 081204 END
 c
 c Champs interpolles sur des niveaux de pression
-         DO k=1, nlevENS
-          CALL histdef(nid_mth, "u"//clev(k),
-     .                 "Zonal wind"//clev(k)//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-          CALL histdef(nid_mth, "v"//clev(k),
-     .                 "Meridional wind"//clev(k)//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-          CALL histdef(nid_mth, "w"//clev(k),
-     .                 "Vertical wind"//clev(k)//"mb","Pa/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-          CALL histdef(nid_mth, "phi"//clev(k),
-     .                 "Geopotential"//clev(k)//"mb","m2/s2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-         ENDDO
+         DO k=1, nlevSTD
+c
+c        bb=clevSTD(k)
+c
+c        IF(k.GE.2) THEN
+         IF(k.GE.2.AND.k.LE.12) bb2=clevSTD(k)
+         IF(k.GE.13.AND.k.LE.17) bb3=clevSTD(k)
+c         aa=clevSTD(k)
+c         bb=aa(1:lnblnk1(aa))
+c        ENDIF
+c
+      IF(bb2.EQ."850".OR.bb2.EQ."700".OR.
+     $   bb2.EQ."500".OR.bb2.EQ."200") THEN
+c
+          CALL histdef(nid_mth, "u"//bb2,
+     .                 "Zonal wind "//bb2//"mb","m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "inst(X)", zout,zout)
+c
+          CALL histdef(nid_mth, "v"//bb2,
+     .                 "Meridional wind "//bb2//"mb","m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "inst(X)", zout,zout)
+c
+          CALL histdef(nid_mth, "w"//bb2,
+     .                 "Vertical wind "//bb2//"mb","m/s",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "inst(X)", zout,zout)
+c
+          CALL histdef(nid_mth, "phi"//bb2,
+     .                 "Geopotential "//bb2//"mb","m",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "inst(X)", zout,zout)
+c
+        ENDIF !(bb2.EQ."850".OR.bb2.EQ."700".OR.
+       ENDDO
+c
+cIM diagnostiques flux ocean-atm ou ocean-glace de mer
+cIM pour utilisation dans un modele de "slab" ocean
+c
+       CALL histdef(nid_mth, "fluxo",
+     .              "Flux turbulents ocean-atmosphere", "W/m2",
+     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              "ave(X)", zstophy,zout)
+c
+       CALL histdef(nid_mth, "fluxg",
+     .              "Flux turbulents ocean-glace de mer","W/m2",
+     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              "ave(X)", zstophy,zout)
+c
+       IF (OCEAN.EQ.'force ') THEN
+c
+        CALL histdef(nid_mth, "lmt_bils",
+     .       "Bilan au sol atmosphere forcee", "W/m2",
+     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              "ave(X)", zstophy,zout)
+c
+       ELSE IF (OCEAN.EQ.'slab  ') THEN
+c
+        CALL histdef(nid_mth, "slab_bils",
+     .       "Bilan au sol Slab", "W/m2",
+     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              "ave(X)", zstophy,zout)
+c
+        CALL histdef(nid_mth, "tslab", "Slab SST ", "K",
+     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              "ave(X)", zstophy,zout)
+c
+        CALL histdef(nid_mth, "seaice", "Slab seaice", "kg/m2",
+     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              "ave(X)", zstophy,zout)
+c
+        CALL histdef(nid_mth, "siceh", "Slab seaice height", "m",
+     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              "ave(X)", zstophy,zout)
+c
+       ENDIF
+c
       ENDIF !lev_histmth.GE.1
 c
@@ -481,73 +607,73 @@
 c
 c
-         CALL histdef(nid_mth,"lwcon","Cloud water content","kg/kg",
+         CALL histdef(nid_mth,"lwcon","Cloud liquid water content",
+     .                "kg/kg",
      .                iim,jjmp1,nhori, klev,1,klev, nvert, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"iwcon","Cloud ice water content","kg/kg",
      .                iim,jjmp1,nhori, klev,1,klev, nvert, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "temp", "Air temperature", "K",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ovap", "Specific humidity", "kg/kg",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
 c        CALL histdef(nid_mth,"wvap","Water vapor mixing ratio","kg/kg",
 c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-c    .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "geop", "Geopotential height", "m",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+c    .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "geop", "Geopotential height", "m2/s2",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "vitu", "Zonal wind", "m/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "vitv", "Meridional wind", "m/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "vitw", "Vertical wind", "Pa/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "vitw", "Vertical wind", "m/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "pres", "Air pressure", "Pa",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_mth, "rneb", "Cloud fraction", "-",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "rnebcon", "Convective Cloud Fraction"
      .                , "-",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "rhum", "Relative humidity", "-",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "ozone", "Ozone concentration", "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "ozone", "Ozone concentration", "ppmv",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "upwd", "saturated updraft", "kg/m2/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtphy", "Physics dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "dqphy", "Physics dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-c#define histmthNMC
-c#ifdef histmthNMC
-c#include "ini_histmthNMC.h"
-c#endif
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "dqphy", "Physics dQ", "(kg/kg)/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 c
       ENDIF !lev_histmth.GE.2
@@ -560,14 +686,14 @@
      $         "Albedo surf. "//clnsurf(nsrf), "-",  
      $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto,zout)
+     $         "ave(X)", zstophy,zout)
 c
            call histdef(nid_mth, "rugs_"//clnsurf(nsrf), 
      $         "Latent heat flux "//clnsurf(nsrf), "W/m2",  
      $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto,zout)
+     $         "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ages_"//clnsurf(nsrf), "Snow age","day",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
 	 ENDDO !nsrf=1, nbsrf
@@ -575,8 +701,8 @@
          CALL histdef(nid_mth, "albs", "Surface albedo", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth, "albslw", "Surface albedo LW", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
       ENDIF !lev_histmth.GE.3
@@ -588,127 +714,119 @@
      .                , "kg/kg",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-      IF (iflag_con.GE.3) THEN 
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"Ma","undilute adiab updraft","kg/m2/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "upwd", "saturated updraft", "kg/m2/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dnwd", "saturated downdraft","kg/m2/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dnwd0", "unsat. downdraft", "kg/m2/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-      ENDIF !iflag_con.GE.3
-c
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtdyn", "Dynamics dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "dqdyn", "Dynamics dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "dqdyn", "Dynamics dQ", "(kg/kg)/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtcon", "Convection dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
 c        CALL histdef(nid_mth, "ducon", "Convection du", "m/s2",
 c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-c    .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "dqcon", "Convection dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+c    .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "dqcon", "Convection dQ", "(kg/kg)/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtlsc", "Condensation dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-cIM: 071003
+     .                "ave(X)", zstophy,zout)
+c
          CALL histdef(nid_mth, "dtlschr",
      $       "Large-scale condensational heating rate", "K/s",iim,jjmp1
-     $       ,nhori, klev,1,klev,nvert, 32,"ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "dqlsc", "Condensation dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     $       ,nhori, klev,1,klev,nvert, 32,"ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "dqlsc", "Condensation dQ", "(kg/kg)/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtvdf", "Boundary-layer dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "dqvdf", "Boundary-layer dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "dqvdf","Boundary-layer dQ","(kg/kg)/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dteva", "Reevaporation dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "dqeva", "Reevaporation dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "dqeva","Reevaporation dQ","(kg/kg)/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_mth, "ptconv", "POINTS CONVECTIFS"," ",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_mth, "ratqs", "RATQS"," ",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 
 c
          CALL histdef(nid_mth, "dtajs", "Dry adjust. dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 
-         CALL histdef(nid_mth, "dqajs", "Dry adjust. dQ", "kg/kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+         CALL histdef(nid_mth,"dqajs","Dry adjust. dQ","(kg/kg)/s",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtswr", "SW radiation dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtsw0", "CS SW radiation dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtlwr", "LW radiation dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"dtlw0","CS LW radiation dT","K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtec", "Cinetic dissip dT", "K/s",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "duvdf", "Boundary-layer dU", "m/s2",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dvvdf", "Boundary-layer dV", "m/s2",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          IF (ok_orodr) THEN
          CALL histdef(nid_mth, "duoro", "Orography dU", "m/s2",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dvoro", "Orography dV", "m/s2",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          ENDIF
@@ -717,37 +835,22 @@
          CALL histdef(nid_mth, "dulif", "Orography dU", "m/s2",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dvlif", "Orography dV", "m/s2",
      .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
          ENDIF
-c
-c Effets des aerosols
-c
-c     IF (ok_ade.OR.ok_aie) THEN
-         CALL histdef(nid_mth, "re", "CDR", "um",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "redenom", "CDR denominator", "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "tau", "cloud opt thickness", "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "taupi", "cloud opt thickn. (pi)", "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
-c     endif
-c
+C
          if (nqmax.GE.3) THEN
-         DO iq=3,nqmax
-         iiq=niadv(iq)
-         CALL histdef(nid_mth, tnom(iq), ttext(iiq), "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
-     .                "ave(X)", zsto,zout)
+         DO iq=1,nqmax-2
+         IF (iq.LE.99) THEN
+         WRITE(str2,'(i2.2)') iq
+         CALL histdef(nid_mth, "trac"//str2, "Tracer No."//str2, "-",
+     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                "ave(X)", zstophy,zout)
+         ELSE
+         PRINT*, "Trop de traceurs"
+         CALL abort
+         ENDIF
          ENDDO
          ENDIF
